For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
    • Home
    • API Basics
  • Products
    • Global Fiat Payouts
    • On-Ramps and Off-Ramps
  • Integration Guides
    • Global payouts integration guide
    • Country-specific details
  • API Reference
      • POSTCreate a Quote
LogoLogo
API ReferenceQuotes

Create a Quote

POST
https://api.latitude.xyz/v1/quotes
POST
/v1/quotes
$curl -X POST https://api.latitude.xyz/v1/quotes \
> -H "Content-Type: application/json" \
> -d '{
> "financial_account": {
> "id": "fa_1234567890abcdef"
> },
> "payout_method": "ach",
> "destination_currency": "MXN"
>}'
201Created
1{
2 "id": "qt_9876543210fedcba",
3 "source_amount": "1000.00",
4 "source_currency": "USD",
5 "destination_amount": "20000.00",
6 "destination_currency": "MXN",
7 "derived_source_amount": true,
8 "exchange_rate": "20.00",
9 "payout_method": "ach",
10 "financial_account": {
11 "id": "fa_1234567890abcdef",
12 "type": "bank_account",
13 "details": {},
14 "created_at": "2024-01-15T09:30:00Z",
15 "updated_at": "2024-01-15T09:30:00Z"
16 },
17 "recipient_id": "rcp_abcdef1234567890",
18 "total_fee": "15.00",
19 "fee_currency": "USD",
20 "total_tax": "1.50",
21 "tax_currency": "USD",
22 "net_source_amount": "983.50",
23 "expires_at": "2024-01-15T09:32:00Z",
24 "created_at": "2024-01-15T09:30:00Z",
25 "source_network": "ethereum"
26}
Creates a quote that locks exchange rates and fees for 2 minutes
Was this page helpful?
Previous

List Webhook Subscriptions

Next
Built with

Request

This endpoint expects an object.
financial_accountobjectRequired
Financial account to receive the transfer
payout_methodstringRequired

Method of payout (e.g., ach, pix, spei, wire, upi)

destination_currencystringRequired

The currency code of the destination amount (e.g., COP)

source_amountstringOptional
The amount to send in source currency
destination_amountstringOptional
The desired amount to receive in destination currency
net_source_amountstringOptional

The net amount after fees (fees will be added on top)

source_currencystringOptionalDefaults to usd

The currency code of the source amount (example: USD)

source_networkstringOptional

The blockchain network for the source currency (e.g., base). Required when source_currency is a stablecoin.

Response

Create a Quote
idstring
Unique identifier for the quote
source_amountstring
Amount of the source currency
source_currencyenum
Currency of the source amount
Allowed values:
destination_amountstring
Amount of the destination currency
destination_currencyenum
Currency of the destination amount
derived_source_amountboolean
Whether the source amount is derived from the destination amount
exchange_ratestring
Exchange rate for the quote
payout_methodenum
Method of payout
financial_accountobject
Financial account to receive the transfer
recipient_idstring
Unique identifier for the recipient
total_feestring
Total fee for the quote
fee_currencystring
Currency of the total fee
total_taxstring
Total tax for the quote
tax_currencystring
Currency of the total tax
net_source_amountstring
Net amount of the source currency after fees
expires_atstringformat: "date-time"
ISO8601 timestamp when the quote expires
created_atstringformat: "date-time"
ISO8601 timestamp when the quote was created
source_networkenum
Blockchain network for the source stablecoin when present
Allowed values: